Bug 608012 - Review Request: libtdb - A trivial database
Summary: Review Request: libtdb - A trivial database
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 188273 579842
TreeView+ depends on / blocked
 
Reported: 2010-06-25 12:06 UTC by Stephen Gallagher
Modified: 2010-12-14 21:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-14 21:27:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Gallagher 2010-06-25 12:06:16 UTC
Spec URL: http://cvs.fedoraproject.org/viewvc/EL-5/libtdb/libtdb.spec?revision=1.8&view=co
SRPM URL: http://kojipkgs.fedoraproject.org/packages/libtdb/1.2.1/2.el5/src/libtdb-1.2.1-2.el5.src.rpm
Description:
TDB is a Trivial Database. In concept, it is very much like GDBM, and BSD's DB except that it allows multiple simultaneous writers and uses locking internally to keep writers from trampling on each other. TDB is also extremely small.

Comment 1 Jakub Hrozek 2010-08-05 14:40:27 UTC
RPMLint output:
 libtdb.x86_64: W: shared-lib-calls-exit /usr/lib64/libtdb.so.1.2.1
exit@GLIBC_2.2.5
 - This seems to be false warning, exit() is only used in tdbtorture and
tdbdump
 libtdb.x86_64: W: no-documentation
 - I was wondering, is there a reason not to package the doc/ subdirectory into
the -devel subpackage?

 The review itself:
 [!]  - The License field in the package spec file must match the actual
license.
      - The tdb-tools subpackage should be licensed as GPLv3+ separately.
 [!]  - Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
      - Nitpick - the defattr directive for the -devel subpackage is missing
the fourth parameter (should be "%defattr(-,root,root,-)")

 [OK] - The package must meet the Packaging Guidelines.
 [OK] - The package must be named according to the Package Naming Guidelines
      - Upstream tarball is named just 'tdb' but 'libtdb' is sane
 [OK] - The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
 [OK] - The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
      - libtdb is LGPL v3+, the tools are GPL v3+. These are aceptable.
 [OK] - If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
      - No license text in the tarball, none in the package
 [OK] - The spec file must be written in American English.
 [OK] - The spec file for the package MUST be legible.
 [OK] - The sources used to build the package must match the upstream source,
as provided in the spec URL.
      - OK, 73ea81282a82e5c959d9c082af2d0215
 [OK] - The package MUST successfully compile and build
 [OK] - All build dependencies must be listed in BuildRequires
      - The two above were tested with a brew scratch build
 [OK] - Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
 [OK] - Packages must NOT bundle copies of system libraries
 [OK] - A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
 [OK] - A Fedora package must not list a file more than once in the spec file's
%files listings.
 [OK] - Each package must consistently use macros.
 [OK] - The package must contain code, or permissable content.
 [OK] - Header files must be in a -devel package. 
 [OK] - If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
 [OK] - In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
 [OK] - Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
 [OK] - Packages must not own files or directories already owned by other
packages.
 [OK] - All filenames in rpm packages must be valid UTF-8.

Comment 3 Jakub Hrozek 2010-08-05 17:22:50 UTC
Thank you, approved. Changing blocker bug to RHEL5.0-ACCEPT.


Note You need to log in before you can comment on or make changes to this bug.